/* tslint:disable */
/* eslint-disable */
/**
 * opGUI - OpenAPI 3.0
 * Dummy description about the available endpoints Some useful links: - [The opGUI repository](https://gitlab.eclipse.org/eclipse/openpass/opgui) - [The documentation page](https://www.eclipse.org/openpass/content/html/index.html)
 *
 * The version of the OpenAPI document: 1.1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

import { exists, mapValues } from '../runtime';
import type { SystemUI } from './SystemUI';
import {
    SystemUIFromJSON,
    SystemUIFromJSONTyped,
    SystemUIToJSON,
} from './SystemUI';

/**
 * 
 * @export
 * @interface ApiSaveSystemPostRequest
 */
export interface ApiSaveSystemPostRequest {
    /**
     * 
     * @type {SystemUI}
     * @memberof ApiSaveSystemPostRequest
     */
    system: SystemUI;
    /**
     * The full path where the system will be saved
     * @type {string}
     * @memberof ApiSaveSystemPostRequest
     */
    path: string;
    /**
     * Flag to indicate if the system is new
     * @type {boolean}
     * @memberof ApiSaveSystemPostRequest
     */
    isNew: boolean;
}

/**
 * Check if a given object implements the ApiSaveSystemPostRequest interface.
 */
export function instanceOfApiSaveSystemPostRequest(value: object): boolean {
    let isInstance = true;
    isInstance = isInstance && "system" in value;
    isInstance = isInstance && "path" in value;
    isInstance = isInstance && "isNew" in value;

    return isInstance;
}

export function ApiSaveSystemPostRequestFromJSON(json: any): ApiSaveSystemPostRequest {
    return ApiSaveSystemPostRequestFromJSONTyped(json, false);
}

export function ApiSaveSystemPostRequestFromJSONTyped(json: any, ignoreDiscriminator: boolean): ApiSaveSystemPostRequest {
    if ((json === undefined) || (json === null)) {
        return json;
    }
    return {
        
        'system': SystemUIFromJSON(json['system']),
        'path': json['path'],
        'isNew': json['isNew'],
    };
}

export function ApiSaveSystemPostRequestToJSON(value?: ApiSaveSystemPostRequest | null): any {
    if (value === undefined) {
        return undefined;
    }
    if (value === null) {
        return null;
    }
    return {
        
        'system': SystemUIToJSON(value.system),
        'path': value.path,
        'isNew': value.isNew,
    };
}

